<span class="label-color txt__semi-bold">
  {{
    'sqtm-core.administration-workspace.servers.ai.view.requirement-model'
      | translate
  }}
</span>
<div class="m-t-10">
  <sqtm-core-editable-text-area-field
    [attr.data-test-field-id]="'ai-server-requirement-model'"
    [value]="localStorageValue$ | async"
    (blurEvent)="handleBlur($event)"
    [placeholder]="'sqtm-core.generic.editable.placeholder' | translate"
    [hideButtons]="true"
    [textareaRows]="10"
    [monospaceFont]="true"
  >
  </sqtm-core-editable-text-area-field>
</div>

<div class="m-t-15">
  <button
    nz-button
    nzType="primary"
    [attr.data-test-button-id]="'test-configuration'"
    [nzLoading]="$loading()"
    [disabled]="
      !componentData.aiServer.payloadTemplate ||
      !componentData.aiServer.jsonPath ||
      !isRequirementModelDefined
    "
    (click)="testConfiguration()"
  >
    <i nz-icon [nzType]="'check'"></i>
    <span>
      {{
        'sqtm-core.administration-workspace.servers.ai.view.configuration-test'
          | translate
      }}
    </span>
  </button>
  @if (!$loading()) {
    @if ($isError()) {
      <div class="m-t-20 m-x-10">
        <span class="ai-server-error-text" [innerHTML]="errorDisplayed"></span>
      </div>
    }
  }
</div>
